<p-card>
  <ng-template pTemplate="header">
    <h5>{{ day.name }}</h5>
  </ng-template>
  <form [formGroup]="dayForm">
    <p-editor
      formControlName="description"
      [style]="{ height: '20em' }"
      (keydown)="onKeyDown($event)"
    >
      <ng-template pTemplate="header">
        <span class="ql-format-group">
          <span title="Bold" class="ql-format-button ql-bold"></span>
          <span title="Underline" class="ql-format-button ql-underline"></span>
          <span class="ql-format-separator"></span>
          <span title="Strikethrough" class="ql-format-button ql-strike"></span>
        </span>
      </ng-template>
    </p-editor>

    <div class="p-grid p-fluid">
      <div class="p-col-12 p-md-12">
        <div class="p-inputgroup">
          <span class="p-inputgroup-addon"
            ><i class="pi pi-tags" style="line-height: 1.25"></i
          ></span>
          <p-chips formControlName="tags" placeholder="Tags"></p-chips>
        </div>
      </div>
    </div>
  </form>
  <div class="actions">
    <p-button
      *ngIf="dayForm.touched"
      icon="pi pi-pencil"
      label="Guardar"
      (onClick)="saveDay()"
    ></p-button>
  </div>
</p-card>
